Create Sku

Creates a new product sku.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Min request body example:

{
		"name":"SkuName",
    "code":"1234567890"
}

Max request body example:

{
  "code": "1234-codigo",
  "auxCode" : "1234-aux",
  "barcode": "000000040433",
  "name": "Unico",
  "minStock": 0,
  "isActive" : true,
  "imageUrl": "https://dev-lori.neomode.com.br/assets/img/logo_s.png",
  "images" : 
  [
    {
      "order" : 1,
      "imageUrl" : "https://dev-lori.neomode.com.br/assets/img/logo_s.png"
    }
  ],
  "Attributes" : 
  [
    {
      "type" : "Text", // Text, Color, Dropdown
      "title" : "Tamanho",
      "value" : "P",
      "label" : "P",
      "order" : 1
    }
  ]
}

Fields description:

FieldTypeDescription
idGuidSku ID
productIdGuidProduct ID
nameStringSku name
hexColorHexadecimalProduct sku color defined
isActiveBooleanIf the collection is active or not
imagesArray ObjectThe images of this sku
clientIdStringThe client ID
codeStringProduct sku code
barcodeStringProduct sku barcode
minStockIntProduct sku minimum stock
imageUrlStringSku image address
attributesArray ObjectThe sku attributtes array
typeStringProduct sku attribute type
titleStringProduct sku attribute title
valueStringProduct sku attribute value
labelStringProduct sku attribute label
orderIntThe order where it appears on catalog
Path Params
string
enum
required

Use "api" for production environment or "hlg-api" for homolog

Allowed:
string
required
Defaults to GUID

Product ID

Body Params
string
required

Product sku body

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json